Retrieve organization product analytics
curl --request GET \
--url https://server.chataigne.ai/v1/organizations/{organization_id}/analytics/products \
--header 'x-api-key: <api-key>'import requests
url = "https://server.chataigne.ai/v1/organizations/{organization_id}/analytics/products"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://server.chataigne.ai/v1/organizations/{organization_id}/analytics/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "organization_product_analytics",
"organization_id": "busorg_k3m9x2p7qw",
"period": {
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z",
"service_type": "delivery"
},
"summary": {
"sold_item_count": 3700
},
"top_products": [
{
"name": "Salmon bowl",
"quantity": 86
}
]
}{
"error": {
"type": "invalid_request_error",
"code": "resource_missing",
"message": "<string>",
"request_id": "req_8f2c…",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_missing",
"message": "<string>",
"request_id": "req_8f2c…",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_missing",
"message": "<string>",
"request_id": "req_8f2c…",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_missing",
"message": "<string>",
"request_id": "req_8f2c…",
"param": "<string>",
"details": {}
}
}Analytics
Retrieve organization product analytics
GET
/
v1
/
organizations
/
{organization_id}
/
analytics
/
products
Retrieve organization product analytics
Authorizations
Location/organization API key.
Path Parameters
Query Parameters
Start of the analytics period. If both from and to are omitted, the period defaults to the last 30 days.
End of the analytics period. If both from and to are omitted, the period defaults to now.
Restrict order-backed statistics to delivery or collection orders.
Available options:
delivery, collection Response
The organization product analytics.